# Examples of Breaking and Non-Breaking Changes
These examples are automatically generated from unit tests.
## Examples of breaking changes
[adding 'allOf' subschema to the request body or request body property is breaking](checker/checker_breaking_test.go?plain=1#L713)  
[adding a new required property in request body is breaking](checker/checker_breaking_property_test.go?plain=1#L353)  
[adding a pattern to a schema is breaking for recursive properties](checker/checker_breaking_test.go?plain=1#L491)  
[adding a pattern to a schema is breaking](checker/checker_breaking_test.go?plain=1#L474)  
[adding a required request body is breaking](checker/checker_breaking_test.go?plain=1#L62)  
[changing a request body to enum is breaking](checker/checker_breaking_property_test.go?plain=1#L123)  
[changing a request body type and changing it to enum simultaneously is breaking](checker/checker_breaking_property_test.go?plain=1#L153)  
[changing a request property to not nullable is breaking](checker/checker_breaking_property_test.go?plain=1#L233)  
[changing a required property in response body to optional and also deleting it is breaking](checker/checker_breaking_property_test.go?plain=1#L281)  
[changing a response body to nullable is breaking](checker/checker_breaking_property_test.go?plain=1#L217)  
[changing a response property to nullable is breaking](checker/checker_breaking_property_test.go?plain=1#L249)  
[changing a response property to optional under AllOf, AnyOf or OneOf is breaking](checker/checker_breaking_property_test.go?plain=1#L644)  
[changing an embedded response property to nullable is breaking](checker/checker_breaking_property_test.go?plain=1#L265)  
[changing an existing header param from optional to required is breaking](checker/checker_breaking_test.go?plain=1#L191)  
[changing an existing header param to enum is breaking](checker/checker_breaking_property_test.go?plain=1#L185)  
[changing an existing property in request body anyOf to required is breaking](checker/checker_breaking_property_test.go?plain=1#L612)  
[changing an existing property in request body items to required is breaking](checker/checker_breaking_property_test.go?plain=1#L596)  
[changing an existing property in request body to enum is breaking](checker/checker_breaking_property_test.go?plain=1#L169)  
[changing an existing property in request body to required is breaking](checker/checker_breaking_property_test.go?plain=1#L337)  
[changing an existing property in request header to enum is breaking](checker/checker_breaking_property_test.go?plain=1#L201)  
[changing an existing property in request header to required is breaking](checker/checker_breaking_property_test.go?plain=1#L57)  
[changing an existing property in response body to optional is breaking](checker/checker_breaking_property_test.go?plain=1#L107)  
[changing an existing property under another property in request body to required is breaking](checker/checker_breaking_property_test.go?plain=1#L628)  
[changing an existing request body from optional to required is breaking](checker/checker_breaking_test.go?plain=1#L80)  
[changing an existing required property in response body to not-write-only is breaking](checker/checker_breaking_property_test.go?plain=1#L561)  
[changing an existing response header from required to optional is breaking](checker/checker_breaking_test.go?plain=1#L215)  
[changing max length in request from nil to any value is breaking](checker/checker_breaking_min_max_test.go?plain=1#L110)  
[changing max length in response from any value to nil is breaking](checker/checker_breaking_min_max_test.go?plain=1#L160)  
[changing request's body schema type from number to integer is breaking](checker/checker_breaking_request_type_changed_test.go?plain=1#L51)  
[changing request's body schema type from number to string is breaking](checker/checker_breaking_request_type_changed_test.go?plain=1#L31)  
[changing request's body schema type from number/none to integer/int32 is breaking](checker/checker_breaking_request_type_changed_test.go?plain=1#L89)  
[changing request's body schema type from string to number is breaking](checker/checker_breaking_request_type_changed_test.go?plain=1#L11)  
[changing response's body schema type from integer to number is breaking](checker/checker_breaking_response_type_changed_test.go?plain=1#L69)  
[changing response's body schema type from number to string is breaking](checker/checker_breaking_response_type_changed_test.go?plain=1#L31)  
[changing response's body schema type from string to number is breaking](checker/checker_breaking_response_type_changed_test.go?plain=1#L11)  
[changing response's embedded property schema type from string/none to integer/int32 is breaking](checker/checker_breaking_response_type_changed_test.go?plain=1#L108)  
[deleting a media-type from response is breaking](checker/checker_breaking_test.go?plain=1#L443)  
[deleting a non-required non-write-only property in response body is breaking with warning](checker/checker_breaking_property_test.go?plain=1#L512)  
[deleting a path is breaking](checker/checker_breaking_test.go?plain=1#L38)  
[deleting a path with some operations having sunset date in the future is breaking](checker/checker_deprecation_test.go?plain=1#L281)  
[deleting a required property in request is breaking with warn](checker/checker_breaking_property_test.go?plain=1#L369)  
[deleting a required property in response body is breaking](checker/checker_breaking_property_test.go?plain=1#L421)  
[deleting a required property under AllOf in response body is breaking](checker/checker_breaking_property_test.go?plain=1#L451)  
[deleting an embedded optional property in request is breaking with warn](checker/checker_breaking_property_test.go?plain=1#L386)  
[deleting an enum value is breaking](checker/checker_breaking_test.go?plain=1#L102)  
[deleting an operation before sunset date is breaking](checker/checker_deprecation_test.go?plain=1#L33)  
[deleting an operation is breaking](checker/checker_breaking_test.go?plain=1#L46)  
[deleting an operation without sunset date is breaking](checker/checker_deprecation_test.go?plain=1#L51)  
[deleting sunset header for a deprecated endpoint is breaking](checker/checker_deprecation_test.go?plain=1#L299)  
[deprecating an operation with a deprecation policy and sunset date before required deprecation period is breaking](checker/checker_deprecation_test.go?plain=1#L223)  
[deprecating an operation with a deprecation policy but without specifying sunset date is breaking](checker/checker_deprecation_test.go?plain=1#L84)  
[increasing max length in response is breaking](checker/checker_breaking_min_max_test.go?plain=1#L93)  
[increasing min items in request is breaking](checker/checker_breaking_min_max_test.go?plain=1#L236)  
[modifying a pattern in a schema is breaking](checker/checker_breaking_test.go?plain=1#L508)  
[modifying a pattern in request parameter is breaking](checker/checker_breaking_test.go?plain=1#L525)  
[modifying the default value of an optional request parameter is breaking](checker/checker_breaking_test.go?plain=1#L556)  
[new header, query and cookie required request default param is breaking](checker/check-new-request-non-path-default-parameter_test.go?plain=1#L12)  
[new required header param is breaking](checker/checker_breaking_test.go?plain=1#L174)  
[new required path param is breaking](checker/checker_breaking_test.go?plain=1#L157)  
[new required property in request header is breaking](checker/checker_breaking_property_test.go?plain=1#L18)  
[reducing max in request is breaking](checker/checker_breaking_min_max_test.go?plain=1#L264)  
[reducing max length in request is breaking](checker/checker_breaking_min_max_test.go?plain=1#L12)  
[reducing min items in response is breaking](checker/checker_breaking_min_max_test.go?plain=1#L220)  
[reducing min length in response is breaking](checker/checker_breaking_min_max_test.go?plain=1#L62)  
[removing 'allOf' subschema from the request body or request body property is breaking with warn](checker/checker_breaking_test.go?plain=1#L735)  
[removing 'anyOf' schema from the request body or request body property is breaking](checker/checker_breaking_test.go?plain=1#L670)  
[removing 'oneOf' schema from the request body or request body property is breaking](checker/checker_breaking_test.go?plain=1#L692)  
[removing a media type from request body is breaking](checker/checker_breaking_test.go?plain=1#L654)  
[removing a success status is breaking](checker/check-response-status-updated_test.go?plain=1#L87)  
[removing an existing optional response header is breaking as warn](checker/checker_breaking_test.go?plain=1#L423)  
[removing an existing required response header is breaking as error](checker/checker_breaking_test.go?plain=1#L232)  
[removing an existing response with non-successful status is breaking (optional)](checker/checker_breaking_test.go?plain=1#L271)  
[removing an existing response with successful status is breaking](checker/checker_breaking_test.go?plain=1#L252)  
[removing an schema object from components is breaking (optional)](checker/checker_breaking_test.go?plain=1#L629)  
[removing the default value of an optional request parameter is breaking](checker/checker_breaking_test.go?plain=1#L592)  
[removing the path without a deprecation policy and without specifying sunset date is breaking if some APIs are not alpha stability level](checker/checker_deprecation_test.go?plain=1#L138)  
[removing the path without a deprecation policy and without specifying sunset date is breaking if some APIs are not draft stability level](checker/checker_deprecation_test.go?plain=1#L194)  
[removing/updating a property enum in response is breaking (optional)](checker/checker_breaking_test.go?plain=1#L334)  
[removing/updating a tag is breaking (optional)](checker/checker_breaking_test.go?plain=1#L352)  
[removing/updating an enum in request body is breaking (optional)](checker/checker_breaking_test.go?plain=1#L311)  
[removing/updating an operation id is breaking (optional)](checker/checker_breaking_test.go?plain=1#L290)  
[setting the default value of an optional request parameter is breaking](checker/checker_breaking_test.go?plain=1#L574)  

## Examples of non-breaking changes
[adding a media-type to response is not breaking](checker/checker_not_breaking_test.go?plain=1#L185)  
[adding a new required property in response body is not breaking](checker/checker_breaking_property_test.go?plain=1#L407)  
[adding a new required property under AllOf in response body is not breaking](checker/checker_breaking_property_test.go?plain=1#L437)  
[adding a new required read-only property in request body is not breaking](checker/checker_breaking_property_test.go?plain=1#L467)  
[adding a non-existent required property in request body is not breaking](checker/checker_breaking_property_test.go?plain=1#L295)  
[adding a required property to response is not breaking](checker/checker_not_breaking_test.go?plain=1#L290)  
[adding a tag is not breaking](checker/checker_not_breaking_test.go?plain=1#L267)  
[adding an enum value is not breaking](checker/checker_not_breaking_test.go?plain=1#L83)  
[adding an enum value to request body is not breaking](checker/checker_breaking_property_test.go?plain=1#L139)  
[adding an operation ID is not breaking](checker/checker_not_breaking_test.go?plain=1#L278)  
[adding an optional request body is not breaking](checker/checker_not_breaking_test.go?plain=1#L38)  
[both max lengths in request are nil is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L178)  
[both max lengths in response are nil is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L192)  
[changing a link to operation ID is not breaking](checker/checker_not_breaking_test.go?plain=1#L176)  
[changing an existing property in request body to optional is not breaking](checker/checker_breaking_property_test.go?plain=1#L323)  
[changing an existing property in request header to optional is not breaking](checker/checker_breaking_property_test.go?plain=1#L83)  
[changing an existing property in response body to required is not breaking](checker/checker_breaking_property_test.go?plain=1#L309)  
[changing an existing read-only property in request body to required is not breaking](checker/checker_breaking_property_test.go?plain=1#L481)  
[changing an existing required property in response body to write-only is not breaking](checker/checker_breaking_property_test.go?plain=1#L547)  
[changing an existing write-only property in response body to optional is not breaking](checker/checker_breaking_property_test.go?plain=1#L533)  
[changing comments is not breaking](checker/checker_not_breaking_test.go?plain=1#L107)  
[changing extensions is not breaking](checker/checker_not_breaking_test.go?plain=1#L95)  
[changing max length in request from any value to nil is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L144)  
[changing max length in response from nil to any value is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L128)  
[changing operation ID is not breaking](checker/checker_not_breaking_test.go?plain=1#L167)  
[changing request's body schema type from integer to number is not breaking](checker/checker_breaking_request_type_changed_test.go?plain=1#L71)  
[changing response's body schema type from number to integer is not breaking](checker/checker_breaking_response_type_changed_test.go?plain=1#L51)  
[changing response's body schema type from number/none to integer/int32 is not breaking](checker/checker_breaking_response_type_changed_test.go?plain=1#L89)  
[changing servers is not breaking](checker/checker_not_breaking_test.go?plain=1#L253)  
[deleting a path after sunset date of all contained operations is not breaking](checker/checker_deprecation_test.go?plain=1#L266)  
[deleting a pattern from a schema is not breaking](checker/checker_breaking_test.go?plain=1#L460)  
[deleting a required write-only property in response body is not breaking](checker/checker_breaking_property_test.go?plain=1#L495)  
[deleting a tag is not breaking](checker/checker_not_breaking_test.go?plain=1#L71)  
[deleting an operation after sunset date is not breaking](checker/checker_deprecation_test.go?plain=1#L69)  
[deprecating a header is not breaking](checker/checker_not_breaking_test.go?plain=1#L227)  
[deprecating a parameter is not breaking](checker/checker_not_breaking_test.go?plain=1#L214)  
[deprecating a schema is not breaking](checker/checker_not_breaking_test.go?plain=1#L240)  
[deprecating an operation with a deprecation policy and sunset date after required deprecation period is not breaking](checker/checker_deprecation_test.go?plain=1#L244)  
[deprecating an operation without a deprecation policy and without specifying sunset date is not breaking for draft level](checker/checker_deprecation_test.go?plain=1#L158)  
[deprecating an operation without a deprecation policy and without specifying sunset date is not breaking](checker/checker_deprecation_test.go?plain=1#L104)  
[increasing max length in request is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L76)  
[increasing min items in response is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L250)  
[modifying a pattern to ".*" in a schema is not breaking](checker/checker_breaking_test.go?plain=1#L542)  
[modifying the default value of a required request parameter is not breaking](checker/checker_breaking_test.go?plain=1#L610)  
[new optional header param is not breaking](checker/checker_not_breaking_test.go?plain=1#L119)  
[new optional property in request header is not breaking](checker/checker_breaking_property_test.go?plain=1#L39)  
[new required response header param is not breaking](checker/checker_not_breaking_test.go?plain=1#L153)  
[no change is not breaking](checker/checker_not_breaking_test.go?plain=1#L27)  
[reducing max in response is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L281)  
[reducing max length in response is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L31)  
[reducing min items in request is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L206)  
[reducing min length in request is not breaking](checker/checker_breaking_min_max_test.go?plain=1#L48)  
[removing an existing response with error status is not breaking](checker/checker_breaking_test.go?plain=1#L407)  
[removing an existing response with unparseable status is not breaking](checker/checker_breaking_test.go?plain=1#L391)  
[removing the path without a deprecation policy and without specifying sunset date is not breaking for alpha level](checker/checker_deprecation_test.go?plain=1#L119)  
[removing the path without a deprecation policy and without specifying sunset date is not breaking for draft level](checker/checker_deprecation_test.go?plain=1#L175)  
[renaming a path parameter is not breaking](checker/checker_breaking_test.go?plain=1#L137)  

## Examples of info-level changes for changelog
[adding 'allOf' subschema to the request body or request body property](checker/check-request-property-all-of-updated_test.go?plain=1#L12)  
[adding 'allOf' subschema to the response body or response body property](checker/check-response-property-all-of-updated_test.go?plain=1#L12)  
[adding 'anyOf' schema to the request body or request body property](checker/check-request-property-any-of-updated_test.go?plain=1#L12)  
[adding 'anyOf' schema to the response body or response body property](checker/check-response-property-any-of-updated_test.go?plain=1#L12)  
[adding 'oneOf' schema to the request body or request body property](checker/check-request-property-one-of-updated_test.go?plain=1#L12)  
[adding 'oneOf' schema to the response body or response body property](checker/check-response-property-one-of-updated_test.go?plain=1#L12)  
[adding a new global security to the API](checker/check-api-security-updated_test.go?plain=1#L12)  
[adding a new media type to request body](checker/check-request-body-mediatype-updated_test.go?plain=1#L12)  
[adding a new media type to response](checker/check-response-mediatype-updated_test.go?plain=1#L12)  
[adding a new oauth security scope](checker/check-components-security-updated_test.go?plain=1#L117)  
[adding a new operation id](checker/check-api-operation-id-updated_test.go?plain=1#L62)  
[adding a new optional request property](checker/check-request-property-updated_test.go?plain=1#L65)  
[adding a new required request property](checker/check-request-property-updated_test.go?plain=1#L12)  
[adding a new security component](checker/check-components-security-updated_test.go?plain=1#L77)  
[adding a new security to the API endpoint](checker/check-api-security-updated_test.go?plain=1#L90)  
[adding a new tag](checker/check-api-tag-updated_test.go?plain=1#L12)  
[adding a non-success response status](checker/check-response-status-updated_test.go?plain=1#L37)  
[adding a required property to response body is detected](checker/check-response-required-property-updated_test.go?plain=1#L12)  
[adding a required write-only property to response body is detected](checker/check-response-required-property-updated_test.go?plain=1#L58)  
[adding a security scope from an API global security](checker/check-api-security-updated_test.go?plain=1#L70)  
[adding a security scope to an API endpoint security](checker/check-api-security-updated_test.go?plain=1#L156)  
[adding a success response status](checker/check-response-status-updated_test.go?plain=1#L12)  
[adding an enum value to a response property](checker/check-response-property-enum-value-added_test.go?plain=1#L12)  
[adding an enum value to a response write-only property](checker/check-response-property-enum-value-added_test.go?plain=1#L38)  
[adding an enum value to request parameter](checker/check-request-parameter-enum-value-updated_test.go?plain=1#L35)  
[adding an optional write-only property to a response](checker/check-response-optional-property-updated_test.go?plain=1#L34)  
[adding discriminator to the request body or request body property](checker/check-request-discriminator-updated_test.go?plain=1#L13)  
[adding discriminator to the response body or response property](checker/check-response-discriminator-updated_test.go?plain=1#L13)  
[adding pattern to request parameters](checker/check-request-parameter-pattern-added-or-changed_test.go?plain=1#L36)  
[adding request body default value or request property default value](checker/check-request-property-default-value-changed_test.go?plain=1#L58)  
[adding request parameter default value](checker/check-request-parameters-default-value-changed_test.go?plain=1#L34)  
[adding request property enum values](checker/check-request-property-enum-value-updated_test.go?plain=1#L39)  
[adding request property pattern](checker/check-request-property-pattern-added-or-changed_test.go?plain=1#L37)  
[adding response body default value or response body property default value](checker/check-response-property-default-value-changed_test.go?plain=1#L64)  
[adding response property pattern](checker/check-response-pattern-added-or-changed_test.go?plain=1#L37)  
[adding two new request properties, one required, one optional](checker/check-request-property-updated_test.go?plain=1#L34)  
[changing a response property schema format](checker/check-response-property-type-changed_test.go?plain=1#L58)  
[changing a response property schema type](checker/check-response-property-type-changed_test.go?plain=1#L34)  
[changing a response schema type](checker/check-response-property-type-changed_test.go?plain=1#L12)  
[changing an existing header param from required to optional](checker/checker_request_parameter_required_value_updated_test.go?plain=1#L35)  
[changing an existing header param to optional](checker/checker_not_breaking_test.go?plain=1#L133)  
[changing an existing request body from required to optional](checker/checker_not_breaking_test.go?plain=1#L53)  
[changing discriminator mapping in the request body or request body property](checker/check-request-discriminator-updated_test.go?plain=1#L113)  
[changing discriminator mapping in the response body or response property](checker/check-response-discriminator-updated_test.go?plain=1#L115)  
[changing discriminator propertyName in the request body or request body property](checker/check-request-discriminator-updated_test.go?plain=1#L79)  
[changing discriminator propertyName in the response body or response property](checker/check-response-discriminator-updated_test.go?plain=1#L81)  
[changing optional request property to not read-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L87)  
[changing optional request property to not write-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L37)  
[changing optional request property to read-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L62)  
[changing optional request property to write-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L12)  
[changing optional response property to not read-only](checker/check-response-optional-property-write-only-read-only_test.go?plain=1#L87)  
[changing optional response property to not write-only](checker/check-response-optional-property-write-only-read-only_test.go?plain=1#L37)  
[changing optional response property to read-only](checker/check-response-optional-property-write-only-read-only_test.go?plain=1#L62)  
[changing optional response property to required](checker/check-response-property-became-required_test.go?plain=1#L12)  
[changing optional response property to write-only](checker/check-response-optional-property-write-only-read-only_test.go?plain=1#L12)  
[changing optional response write-only property to required](checker/check-response-property-became-required_test.go?plain=1#L33)  
[changing pattern of request parameters](checker/check-request-parameter-pattern-added-or-changed_test.go?plain=1#L12)  
[changing properties of subschemas under allOf](checker/check-response-property-type-changed_test.go?plain=1#L82)  
[changing request body and property types from array to object](checker/check-request-property-type-changed_test.go?plain=1#L85)  
[changing request body and property types from object to array](checker/check-request-property-type-changed_test.go?plain=1#L117)  
[changing request body default value](checker/check-request-property-default-value-changed_test.go?plain=1#L12)  
[changing request body to not nullable](checker/check-request-property-became-not-nuallable_test.go?plain=1#L81)  
[changing request body to nullable](checker/check-request-property-became-not-nuallable_test.go?plain=1#L57)  
[changing request body type](checker/check-request-property-type-changed_test.go?plain=1#L12)  
[changing request header parameter format](checker/check-request-parameters-type-changed_test.go?plain=1#L132)  
[changing request header parameter type](checker/check-request-parameters-type-changed_test.go?plain=1#L60)  
[changing request parameter default value](checker/check-request-parameters-default-value-changed_test.go?plain=1#L12)  
[changing request parameter type to enum](checker/check-request-parameter-became-enum_test.go?plain=1#L12)  
[changing request path parameter format](checker/check-request-parameters-type-changed_test.go?plain=1#L84)  
[changing request path parameter type](checker/check-request-parameters-type-changed_test.go?plain=1#L12)  
[changing request property default value](checker/check-request-property-default-value-changed_test.go?plain=1#L34)  
[changing request property format](checker/check-request-property-type-changed_test.go?plain=1#L149)  
[changing request property pattern](checker/check-request-property-pattern-added-or-changed_test.go?plain=1#L12)  
[changing request property required value to false](checker/check-request-property-required-updated_test.go?plain=1#L35)  
[changing request property required value to true](checker/check-request-property-required-updated_test.go?plain=1#L12)  
[changing request property to not nullable](checker/check-request-property-became-not-nuallable_test.go?plain=1#L12)  
[changing request property to nullable](checker/check-request-property-became-not-nuallable_test.go?plain=1#L34)  
[changing request property type](checker/check-request-property-type-changed_test.go?plain=1#L62)  
[changing request query parameter format](checker/check-request-parameters-type-changed_test.go?plain=1#L108)  
[changing request query parameter type](checker/check-request-parameters-type-changed_test.go?plain=1#L36)  
[changing request's body to optional](checker/check-request-body-required-value-updated_test.go?plain=1#L35)  
[changing request's body to required is breaking](checker/check-request-body-required-value-updated_test.go?plain=1#L12)  
[changing required request property to not read-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L187)  
[changing required request property to not write-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L137)  
[changing required request property to read-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L162)  
[changing required request property to write-only](checker/check-request-property-write-only-read-only_test.go?plain=1#L112)  
[changing required response property to not read-only](checker/check-response-required-property-write-only-read-only_test.go?plain=1#L90)  
[changing required response property to not write-only](checker/check-response-required-property-write-only-read-only_test.go?plain=1#L37)  
[changing required response property to optional](checker/check-response-property-became-optional_test.go?plain=1#L12)  
[changing required response property to read-only](checker/check-response-required-property-write-only-read-only_test.go?plain=1#L65)  
[changing required response property to write-only](checker/check-response-required-property-write-only-read-only_test.go?plain=1#L12)  
[changing response body default value](checker/check-response-property-default-value-changed_test.go?plain=1#L41)  
[changing response body property default value](checker/check-response-property-default-value-changed_test.go?plain=1#L12)  
[changing response property pattern](checker/check-response-pattern-added-or-changed_test.go?plain=1#L12)  
[changing security component oauth's url](checker/check-components-security-updated_test.go?plain=1#L11)  
[changing security component token url](checker/check-components-security-updated_test.go?plain=1#L33)  
[changing security component type](checker/check-components-security-updated_test.go?plain=1#L55)  
[changing write-only required response property to optional](checker/check-response-property-became-optional_test.go?plain=1#L33)  
[decreasing max length of request body](checker/check-request-property-max-length-updated_test.go?plain=1#L40)  
[decreasing max length of request property](checker/check-request-property-max-length-updated_test.go?plain=1#L68)  
[decreasing maxItems of request parameters](checker/check-request-parameters-max-items-updated_test.go?plain=1#L34)  
[decreasing maxLength of request parameters](checker/check-request-parameters-max-length-updated_test.go?plain=1#L33)  
[decreasing maximum value of request parameter](checker/check-request-parameters-max-updated_test.go?plain=1#L34)  
[decreasing minItems value of request parameter](checker/check-request-parameters-min-items-updated_test.go?plain=1#L34)  
[decreasing minLength of request body](checker/check-request-property-min-length-updated_test.go?plain=1#L84)  
[decreasing minLength of request property](checker/check-request-property-min-length-updated_test.go?plain=1#L12)  
[decreasing minLength value of request parameter](checker/check-request-parameters-min-length-updated_test.go?plain=1#L35)  
[decreasing minimum value of request parameter](checker/check-request-parameters-min-updated_test.go?plain=1#L34)  
[decreasing minimum value of request property](checker/check-request-property-min-updated_test.go?plain=1#L35)  
[decreasing request body maximum value](checker/check-request-property-max-updated_test.go?plain=1#L92)  
[decreasing request property maximum value](checker/check-request-property-max-updated_test.go?plain=1#L12)  
[deprecating an operation with sunset greater than min](checker/checker_not_breaking_test.go?plain=1#L199)  
[increasing max length of request body](checker/check-request-property-max-length-updated_test.go?plain=1#L12)  
[increasing max length of request property](checker/check-request-property-max-length-updated_test.go?plain=1#L95)  
[increasing maxItems of request parameters](checker/check-request-parameters-max-items-updated_test.go?plain=1#L12)  
[increasing maxLength of request parameters](checker/check-request-parameters-max-length-updated_test.go?plain=1#L12)  
[increasing maximum value of request parameter](checker/check-request-parameters-max-updated_test.go?plain=1#L12)  
[increasing minItems value of request parameter](checker/check-request-parameters-min-items-updated_test.go?plain=1#L12)  
[increasing minLength of request body](checker/check-request-property-min-length-updated_test.go?plain=1#L60)  
[increasing minLength of request property](checker/check-request-property-min-length-updated_test.go?plain=1#L36)  
[increasing minLength value of request parameter](checker/check-request-parameters-min-length-updated_test.go?plain=1#L12)  
[increasing minimum value of request parameter](checker/check-request-parameters-min-updated_test.go?plain=1#L12)  
[increasing minimum value of request property](checker/check-request-property-min-updated_test.go?plain=1#L12)  
[increasing request body maximum value](checker/check-request-property-max-updated_test.go?plain=1#L64)  
[increasing request property maximum value](checker/check-request-property-max-updated_test.go?plain=1#L38)  
[new header, query and cookie request params](checker/check-new-request-non-path-parameter_test.go?plain=1#L11)  
[new paths or path operations](checker/check-api-added_test.go?plain=1#L11)  
[path operations that became deprecated](checker/checker_deprecation_test.go?plain=1#L335)  
[path operations that were re-activated](checker/checker_deprecation_test.go?plain=1#L358)  
[removing 'allOf' subschema from the request body or request body property](checker/check-request-property-all-of-updated_test.go?plain=1#L46)  
[removing 'allOf' subschema from the response body or response body property](checker/check-response-property-all-of-updated_test.go?plain=1#L46)  
[removing 'anyOf' schema from the request body or request body property](checker/check-request-property-any-of-updated_test.go?plain=1#L46)  
[removing 'anyOf' schema from the response body or response body property](checker/check-response-property-any-of-updated_test.go?plain=1#L46)  
[removing 'oneOf' schema from the request body or request body property](checker/check-request-property-one-of-updated_test.go?plain=1#L46)  
[removing 'oneOf' schema from the response body or response body property](checker/check-response-property-one-of-updated_test.go?plain=1#L55)  
[removing a global security from the API](checker/check-api-security-updated_test.go?plain=1#L31)  
[removing a new media type to response](checker/check-response-mediatype-updated_test.go?plain=1#L34)  
[removing a new oauth security scope](checker/check-components-security-updated_test.go?plain=1#L139)  
[removing a new security component](checker/check-components-security-updated_test.go?plain=1#L97)  
[removing a new security to the API endpoint](checker/check-api-security-updated_test.go?plain=1#L112)  
[removing a non-success response status](checker/check-response-status-updated_test.go?plain=1#L62)  
[removing a required request property](checker/check-request-property-updated_test.go?plain=1#L88)  
[removing a required write-only property that was required in response body is detected](checker/check-response-required-property-updated_test.go?plain=1#L83)  
[removing a security scope from an API endpoint security](checker/check-api-security-updated_test.go?plain=1#L134)  
[removing a security scope from an API global security](checker/check-api-security-updated_test.go?plain=1#L50)  
[removing an enum value from a response property](checker/check-response-property-enum-value-removed_test.go?plain=1#L12)  
[removing an enum value from a response write-only property](checker/check-response-property-enum-value-removed_test.go?plain=1#L36)  
[removing an enum value from request parameter](checker/check-request-parameter-enum-value-updated_test.go?plain=1#L12)  
[removing an existent property that was required in response body is detected](checker/check-response-required-property-updated_test.go?plain=1#L35)  
[removing an existing operation id](checker/check-api-operation-id-updated_test.go?plain=1#L12)  
[removing an existing tag](checker/check-api-tag-updated_test.go?plain=1#L37)  
[removing an optional write-only property from a response](checker/check-response-optional-property-updated_test.go?plain=1#L12)  
[removing discriminator from the request body or request body property](checker/check-request-discriminator-updated_test.go?plain=1#L46)  
[removing discriminator from the response body or response property](checker/check-response-discriminator-updated_test.go?plain=1#L47)  
[removing media type from request body](checker/check-request-body-mediatype-updated_test.go?plain=1#L34)  
[removing pattern from request parameters](checker/check-request-parameter-pattern-added-or-changed_test.go?plain=1#L59)  
[removing request body default value or request property default value](checker/check-request-property-default-value-changed_test.go?plain=1#L91)  
[removing request parameter default value](checker/check-request-parameters-default-value-changed_test.go?plain=1#L58)  
[removing request property enum values](checker/check-request-property-enum-value-updated_test.go?plain=1#L12)  
[removing request property pattern](checker/check-request-property-pattern-added-or-changed_test.go?plain=1#L60)  
[removing response body default value or response body property default value](checker/check-response-property-default-value-changed_test.go?plain=1#L97)  
[removing response property pattern](checker/check-response-pattern-added-or-changed_test.go?plain=1#L62)  
[updating an existing operation id](checker/check-api-operation-id-updated_test.go?plain=1#L36)  
[updating an existing tag](checker/check-api-tag-updated_test.go?plain=1#L64)  
